Skip to main content
GET
/
v1
/
edges
List edges for the active org
curl --request GET \
  --url http://0.0.0.0:3000/v1/edges \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 1,
    "name": "casa-1",
    "org_id": null,
    "user_id": "user_abc123",
    "location": "home",
    "status": "pending",
    "capabilities": {},
    "last_seen_at": null,
    "paired_at": null,
    "created_at": "2026-05-21T10:00:00Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Organization-Id
string

ID da organização para contexto (opcional). Quando presente, filtra recursos da org.

Response

List of edges

id
integer
name
string
org_id
string | null
user_id
string
location
enum<string>
Available options:
cloud,
home
status
enum<string>
Available options:
pending,
paired,
offline,
online
capabilities
object
last_seen_at
string<date-time> | null
paired_at
string<date-time> | null
created_at
string<date-time>